#
# spec file for package octave-forge-optim
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  optim
Name:           octave-forge-%{octpkg}
Version:        1.5.2
Release:        lp150.1.5
Summary:        Non-linear optimization toolkit for Octave
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
#PATCH-FIX-UPSTREAM optim-gcc-warnings.patch -- http://savannah.gnu.org/bugs/?49505
Patch1:         optim-gcc-warnings.patch
BuildRequires:  blas-devel
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  lapack-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.6.0
Requires:       octave-forge-parallel >= 3.0.4
Requires:       octave-forge-struct >= 1.0.12

%description
Non-linear optimization toolkit.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%patch1 -p0
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Mon Oct 31 2016 dmitry_r@opensuse.org
- Update to version 1.5.2
  * Builds with Octave 4.2.
  * Links to core Octave documentation work now in html version of
    package documentation.
  * Fixed treatment of one-parameter-functions in `jacobs'.
  * The sign of `lambda' returned for equality constraints by
    `quadprog' has been changed for compatibility with Matlab.
  * Deprecated `nmsmax' -- the same code is in `fminsearch' in core
    Octave, with a slightly different interface.
  * Fixed bug which could break building oct-files.
- Fix GCC warnings
  * optim-gcc-warnings.patch
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 1.5.0
  * Compatible with Octaves new exception-based error
    handling.
  * New compatibility wrapper functions 'lsqnonlin' and 'lsqcurvefit',
    calling the more general functions 'nonlin_residmin' and
    'nonlin_curvefit' iternally.
  * New compatibility wrapper function 'nlinfit', calling
    'nonlin_curvefit' and 'curvefit_stat' internally. New functions
    'statset' and 'statget' for compatibility in handling options of
    'nlinfit'.
  * New common frontend option 'TypicalX'. Additional common frontend
    options 'FinDiffRelStep' and 'FinDiffType', to match usual option
    names. 'diffp' and 'diff_onesided' are still available and can now
    also be specified as scalars.
  * nonlin_residmin and nonlin_curvefit return determined Lagrange
    multipliers of any constaints
  * New interface function 'quadprog', similar to Octaves 'qp'.
  * New function 'lsqlin'.
  * Removed deprecated functions 'minimize', 'd2_min', and
    'fmin'. Removed obsolete documentation 'optim-mini-howto-2'.
- Drop obsolete:
  * optim-gcc-errors.patch
  * optim-no-doc-rebuild.patch
* Fri Mar 13 2015 dmitry_r@opensuse.org
- Update to version 1.4.1
  * Made compatible with Octave 4.0.
  * Fixed bug #43699.
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.4.0
- Fix no-return-in-nonvoid-function
  * optim-gcc-errors.patch
- Disable documentation rebuild
  * optim-no-doc-rebuild.patch
